Package com.logicaldoc.core.searchengine.analyzer

# Class SnowballFilterFactory

java.lang.Object
org.apache.lucene.analysis.util.AbstractAnalysisFactory
org.apache.lucene.analysis.util.TokenFilterFactory
com.logicaldoc.core.searchengine.analyzer.SnowballFilterFactory

public class SnowballFilterFactory extends org.apache.lucene.analysis.util.TokenFilterFactory
Retrieves a token stream elaborated by Snowaball Filter

Since:
  7.5.3
Author:
  Marco Meschieri - LogicalDOC

## Field Summary

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM`

## Constructor Summary

Constructors
Constructor
Description
`SnowballFilterFactory(Map<String,String> config)`

## Method Summary

Modifier and Type
Method
Description
`org.apache.lucene.analysis.TokenStream`
`create(org.apache.lucene.analysis.TokenStream ts)`

### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

`availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`get, get, get, get, get, getChar, getClassArg, getLuceneMatchVersion, getOriginalArgs, getSet, isExplicitLuceneMatchVersion, require, require, require, requireChar, setExplicitLuceneMatchVersion`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SnowballFilterFactory

public SnowballFilterFactory(Map<String,String> config)

## Method Details

### create

public org.apache.lucene.analysis.TokenStream create(org.apache.lucene.analysis.TokenStream ts)

Specified by:
  `create` in class `org.apache.lucene.analysis.util.TokenFilterFactory`